## org.gjt.sp.jedit
Class EditPlugin.Deferred

    java.lang.Object
      org.gjt.sp.jedit.EditPlugin
          org.gjt.sp.jedit.EditPlugin.Deferred

Enclosing class:
  EditPlugin

    public static class EditPlugin.Deferred

extends EditPlugin

A placeholder for a plugin that hasn't been loaded yet.

See Also:
  `jEdit.getPlugin(String)`, `PluginJAR.getPlugin()`, `PluginJAR.activatePlugin()`

Nested Class Summary

Nested classes/interfaces inherited from class org.gjt.sp.jedit.EditPlugin
`EditPlugin.Broken, EditPlugin.Deferred`

Method Summary
`java.lang.String` `getClassName()` Returns the plugin's class name.
`java.lang.String` `toString()`

Methods inherited from class org.gjt.sp.jedit.EditPlugin
`createBrowserMenuItems, createMenuItems, getPluginHome, getPluginHome, getPluginHome, getPluginJAR, getResourceAsOutputStream, getResourceAsOutputStream, getResourceAsStream, getResourceAsStream, getResourcePath, getResourcePath, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getClassName

    public java.lang.String getClassName()

  Description copied from class: `EditPlugin`
  Returns the plugin's class name. This might not be the same as the class of the actual `EditPlugin` instance, for example if the plugin is not loaded yet.

  Overrides:
    `getClassName` in class `EditPlugin`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`